> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kymaapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> List all available models.

No authentication required.

Use query params to filter the catalog for agents and auto-pickers:

* `recommended_for=coding,agent`
* `tools=true`
* `structured_outputs=true`
* `vision=true`
* `reasoning=true`
* `input_modalities=text,image`
* `supported_parameters=tools,structured_outputs`
* `latency_tier=fast`
* `cost_tier=cheap`
* `quality_tier=frontier-open`
* `release_stage=stable`
* `min_context_window=128000`
* `max_input_price=1.00`

## Response

```json theme={null}
{
  "object": "list",
  "data": [
    {
      "id": "llama-3.3-70b",
      "name": "Llama 3.3 70B",
      "context_window": 128000,
      "max_output_tokens": 8192,
      "description": "Most popular open model. Great all-rounder.",
      "best_for": "General, code, reasoning",
      "speed": "fast",
      "recommended": true,
      "hot": true,
      "input_modalities": ["text"],
      "output_modalities": ["text"],
      "supported_parameters": ["temperature", "top_p", "max_tokens", "stream", "tools", "response_format", "structured_outputs", "prompt_caching", "reasoning"],
      "latency_tier": "medium",
      "cost_tier": "balanced",
      "quality_tier": "strong",
      "release_stage": "stable",
      "recommended_for": ["general", "coding", "balanced"]
    }
  ]
}
```

<RequestExample>
  ```bash cURL theme={null}
  curl https://kymaapi.com/v1/models
  ```

  ```bash cURL theme={null}
  curl "https://kymaapi.com/v1/models?recommended_for=agent&tools=true&supported_parameters=tools,structured_outputs"
  ```

  ```python Python theme={null}
  from openai import OpenAI
  client = OpenAI(base_url="https://kymaapi.com/v1", api_key="ky-your-api-key")
  models = client.models.list()
  for m in models.data:
      print(m.id)
  ```
</RequestExample>
